commit b76fd3afa37b48146af54a73fae992089ed2b8cc
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Sun Feb 26 18:06:51 2017 +0100

    * add wiki link to 'about' tab

commit 505309ba24a8cafe929d2fe4534b259e73508cde
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Tue Feb 14 17:21:08 2017 +0100

    * show in status column if file is currently indexed

commit 7f08399d2d8dcd512486ec0ad9ded5cc11cf7247
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Thu Feb 9 08:41:12 2017 +0100

    * small extension tweaks

commit 59f36c35bd3ffa1a5df6323b35f4dcd31c1dccbc
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Sun Jan 29 11:49:02 2017 +0100

    * add tebasuna51's extension additions and fixes
    * mark some encoders as deprecated
    * fix compile.bat again (force x86 build)

commit 7c938ce21cc52a35149a838c48dd941cd4b93b29
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Sun Jan 22 11:16:34 2017 +0100

    * fix .csproj and compile.bat
    + add controls.cs (missing in previous commit)
    + add .gitignore

commit fefcce84b240a96d3d66af432a7063f01aacaff5
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Wed Jan 11 10:45:54 2017 +0100

    * move custom controls to controls.cs
    + add linkLabel with context menu as head to source and destination groupboxes
       to make related tasks accessible in a more obvious way (concept stolen from StaxRip)
    + add some tooltips to 'Tweak' section

commit 53d4ca1eb6bfbc0e51f012698983af108aedbf4f
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Wed Jan 11 10:27:45 2017 +0100

    + show number of loaded source files in groupbox text
    + add option 'StartJobsInstantly' to start jobs immediately after enqueuing
    * state of 'omitEncoderScript' and 'startJobsInstantly' checkboxes is saved in config file

commit 15d1a4546955cc76702e26623a8da38da8190ad5
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Wed Jan 11 10:18:54 2017 +0100

    + jobqueue tab is splitted horizontal to make jobqueue/log panels resizeable
    * fix too much spaces in some generated encoder command lines

commit 21658ae39699ba27a27c69cacdd2cf95c9440325
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Wed Jan 11 10:05:45 2017 +0100

    + add button 'show script' to immediately inspect the avs script
    + add encoder commandline as comment to avs script

commit 072644cb221c032854307080398d5c202b97224c
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Wed Jan 11 09:11:57 2017 +0100

    * cleanup after TFS import from codeplex
    * changed folder structure, removed some stuff

commit 7895a07b2856940a5414280a2a1f0d662ba226fe
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Sun Jan 8 15:34:34 2017 +0100

    create README.md

2016-10-16 (tebasuna51) same BeHappy version but:
+ New encoder added OptimFROG
* Actualize some e_*.ext to match new encoders versions or correct bugs.
* Improve d_DownMix.ext and d_SSRC.ext

commit 25262541788250d9731cc5707d8749a985a64872
Author: jones1913 <jones1913@users.noreply.github.com>
Date:   Sun Jul 5 07:49:01 2015 -0400

* bugfix in ffmpeg aac extension

2015-06-21 (jones1913) 0.2.8.19896
* newer wavsplit.exe

2015-05-31 (jones1913) r76729
+ added file type filters to show only certain encoder/source plugins (use right click on source/encoder combobox)
+ added <IsLossless> field to extensions
* cleaned up about-tab a bit

2015-05-24 (jones1913) r76678
+ added siella's extensions

2015-05-17 (jones1913) r76645
* time stretch dsp now use the TimeStretchPlugin() function

2015-05-17 (jones1913) r76644
* enhanced extension system and replaced all extensions (commented samples in "BeHappy/extensions/extension_specs/*")
+ added calculator to internal timestretch dsp plugin

2014-12-27 (jones1913) r76062
* start next job only if previous running job has properly initialized

2014-12-03 (jones1913) r75896
+ encoder plugin item in combobox is grayed out if the needed encoder executable is missing
+ added a button to automatically set the recommened maximum of simultanously running jobs

2014-11-09 (jones1913) v0.2.6.34898
+ multiple files/folders can be opened at once

2014-10-19 (jones1913) v0.2.6.18337
+ added parallel job processing
+ some gui modernization/tweaks

2010-09-01 (Chumbo) v0.2.5.30809 (changeset 50128)
+ updated 2010 project
- removed compile.bat from inclusion in 2010 project
+ added compileVS2010.bat to 2010 project
+ confirmed project compiles in the IDE and via compileVS2010.bat 

2010-09-01 (Chumbo) (changeset 50127)
+ updated the properties CurrentPriority and CurrentPriorityIndex from default getters/setters to use member variables so the project compiles with the batch file compile.bat. Note the project compiles fine with the VS 2008 and 2010 IDE.

2010-08-28 (Chumbo) (changeset 50042)
+ Added ResourceGlobal files to VS 2008 solution/project file
+ Successfully Rebuild All on VS 2008 

2010-08-21 (Chumbo) (changeset 49821)
+ added priority warning for user when High is selected
+ added a project global resource for possible future language translations 

2009-10-12 (Tebasuna) v0.2.4.20767 (Change Set 28802)
+ Now encAacPlus need libmp4v2.dll (Winamp folder) instead MP4Box/MP4Mux to output .mp4/.m4a files.
+ Recover the low limit for CT encAacPlus to 8 Kb/s, available for mono audio, and the option to force MPEG4 AAC streams.
- Delete the obsolete option to select NeroAacEnc SSE.
+ Add info over Header option.

2009-02-27 (Chumbo) v0.2.3.38071
+ Added process priority control. Available when jobs are started and persists through all the jobs in the queue. Defaults to Idle every time a job or set of jobs are started.
+ Fixed a bug. It's possible the creation of the .State file may fail due to the use of an enumerated type. I changed it to use an int since it can be cast easily and works fine.
+ Added exception handling in the SaveToFile() method so if a problem occurs we'll be made aware of it in the future.
+ Fixed the issue where selecting the priority before the encoder actually starts (that small delay between hitting Start and, for example, aften starts) would not affect the priority.
+ Added tool tip for priority pull down list

2008-06-28 (Tebasuna) v0.2.2.30338
+ New compile.bat to solve some bugs with news OS. (Dimzon)
+ The neroAacEnc_SSE2.exe must be now neroAacEnc_SSE.exe
+ The low limit for CT encAacPlus is now 16 Kb/s instead 8 Kb/s

2008-05-21 (Tebasuna) v0.1.9.50202
+ Solved bug when sending float samples to oggenc2 encoder. (OggVorbisEncoder.cs)
+ Added new experimental features related with headers for multichannel audio data: (Encoder.cs, MainForm.cs, Job.cs)
  ChannelMask: CMask in [2] Tweak. When checked the header is WAVE_FORMAT_EXTENSIBLE.
               Selecting 0 the default for the current NumChannels is applied.
  HeaderType:  Head. in [2] Tweak. 0 for WAV, 1 for W64, 2 for RF64, 3 for W64 if >4GB, 4 for RF64 if >4GB
               Use only for Wav Writer or encoders with support for these headers.

2008-04-16 (Tebasuna)
+ New enc_aacPlus.exe to force MPEG2/4 flag (needed by mp4mux).
+ New NicAudio.dll with bugfixes, LPCM BluRay, RaWav included (now from BeHappy team in CodePlex).
+ New BassAudio.dll to support Bass v2.4 (Now can decode multichannel aac, ogg, wma, flac 1.2.1, ...)
+ Back to use raw data with oggenc to support files > 4 GB.

2008-02-03 (Tebasuna)
+ AviSynthWrapper compatible (dimzon_avs_init_2 in AvisynthWrapper.cs, ddl and zip)
+ Solved bug in enc_aacPlus.exe, now can produce .aac files.

2008-01-26 (Chumbo)
+ Updated the DSP Move buttons to behave according to selection and position (MainForm.cs).

2007-10-16 (Tebasuna)
+ New RaWav.extension and AviSynth plugin RaWav.dll. Open files > 4 GB with uncompressed formats like:
  wav (WAVE_FORMAT_EXTENSIBLE and others), bwf, raw, au, aif, w64, RF64, or caf (see RaWav_readme)

2007-08-13 (Tebasuna)
+ New changes to support new enc_aacPlus.exe from Shon3i: select between Mp4Box and Mp4Mux. (CodingTechnologiesAAC.cs)
+ New FraunhoferMp3.extension to support free mp3sEncoder.exe from Fraunhofer (http://www.all4mp3.com/tools/sw_fhg_cl.html).
+ New wavSplit.extension and wavSplit.exe to replace wav2mono and wav2stereo
+ Only literals changes. (AssemblyInfo.cs, OggVorbisEncoder.cs)

2007-05-16 (thuongshoo)
+ Graphic changes and approximate ogg bitrate when VBR. (OggVorbisEncoder.cs, CodingTechnologiesAAC.cs)

2007-04-01 (Tebasuna)
+ Changes to support new enc_aacPlus.exe from Shon3i. (NeroDigitalEncoder.cs, CodingTechnologiesAAC.cs)

2007-03-31 (Chumbo)
+ updated TimeStretch rate control radio button labels per suggestions by tebasuna, alwa and madshi.
+ added hints/popup text to rate control radio buttons.  I wound up using the AVISynth text for the hint text as it's straightforward.

2007-03-30 (Chumbo)
+ added rate control to the TimeStretch DSP module - you can select rate, pitch or both
+ updated the version to 0.1.10.* from 0.1.9.*.  With all the changes we made we should've update the version sooner

2007-03-28 (Shon3i)
+ New enc_aacPlus.exe version to support enc_aacPlus.dll from WinAmp 5.33/5.34 and new MP4mux instead MP4Box.(enc_aacPlus.exe, MP4mux.exe)

2007-03-21 (Chumbo)
+ Destination/output dialog will now pre-fill the file name

2007-03-20 (Chumbo)
+ fixed a small UI bug to make sure when a job is finished, the item selected doesn't get deselected in the jobs list

2007-03-20 (Tebasuna)
+ problem fixed because AviSynth bug: IsAudioInt return always false (LameEncoder.cs, MusePack.extension, ffmpeg.extension)

2007-03-19 (Alwa)
+ fixed a problem with the "encoder" directory in connection with the WAVWriter output(MainForm.cs)

2007-03-18 (Chumbo)
+ added accelerators to buttons so keyboard can be quickly used to access functions
+ when either source/destination are blank, clicking Enqueue displays a message
+ "Keep output..." check box now works AFTER you've started a process
+ Move buttons in Queue tab are now enabled based on list selections (1 item selected only)
+ fixed unintended multiple selections in Jobs list.  Now that we have a multi-select list, certain
processes were causing items to stay selected when they should not.

2007-03-18 (Alwa)
+ renamed the "ext" directory to "extensions" (MainForm.cs, BeHappy.csproj)
+ Encoder binaries can be placed in the "encoder" directory(handling like extensions directory)(MainForm.cs)

2007-03-18 (Tebasuna)
+ Without mod in code. Cancell warnings and copy files in compile time (MainForm.cs, Encoder.cs, compile.bat)

2007-03-16 (Chumbo)
+ reinstated code from 03-07 build that fell through the cracks during the incremental builds
+ fixed the "Keep Output..." checkbox functionality

2007-03-15 (Tebasuna)
+ Added 'Additional CLI arguments' to Aften capture (AftenEncoder.cs, MainForm.cs).
+ Optional 'pseudo-encoders' to split in mono or stereo wav's (wav2mono.*, Wav2stereo.*)
+ Optional optimized Downmix routines. Fast and without inversion in rear channel. (DownMix.extension).

2007-03-14 (Chumbo)
+ Just made sure that the EnsureVBRMP3Sync default is false per Tebasuna's earlier change

2007-03-14 (Tebasuna)
+ Adjust to best quality encode possible. The old method can be obtained with a final DSP Convert Sample to 16 bit int.
  (LameEncoder.cs, OggVorbisEncoder.cs, CodingTechnologiesAAC.cs, aud-x.extension, ffmpeg.extension, flac.extension)
+ Added twolame.extension for twolame v0.38 (.mp2) http://www.rarewares.org/. For use instead ffmpeg.
+ Added musepack.extension for mppenc v1.16 (.mpc) http://www.musepack.net/

2007-03-13 (Chumbo)
+ modified Delete All button behavior to only remove items with status of Done, Error and Abort (MainForm.cs)
+ changed job list control to a multi-select control
+ modified Delete button behavior to remove the selected items except if item selected is in Processing state

2007-03-13 (Alwa)
+ fixed the preferMP4overM4A handling (NeroDigitalEncoder.cs).

2007-03-12 (Tebasuna)
+ Changes to allow any AviSynth output samples. Compatible with actual and alternative AvisynthWrapper.dll (Encoder.cs)
+ New ConvertSample.extension. Needed to test output samples and check encoders:
  The old AvisynthWrapper.dll is equivalent to use the new one with a final DSP Convert Sample to 16 bit int.
  Warning, some encoders need 16 bit int output (test pending).
+ Descriptive literal change: "Custom (actual_time / desired_time) x 100" instead "Custom transform" (TimeStretchDSP.cs)
+ EnsureMP3VBRSync unchecked by default, in my opinion not needed in BeHappy (MainForm.cs).

2007-03-12 (Chumbo)
+ Alternative AvisynthWrapper.dll without the fix ConvertAudioTo16bit output (AvisynthWrapper.cpp).
+ replaced deprecated strcpy calls with new strcpy_s method (AvisynthWrapper.cpp).

2007-03-11 (Alwa)
+ .config moved to the BeHappy.state file (unlovely, but it works) (NeroDigitalEncoder.cs).
+ CT Changes with multiplier 1000 (CodingTechnologiesAAC.cs).
+ extensions can now be stored either in the "ext" directory or like before (MainForm.cs, BeHappy.csproj).
+ DirectShowSource(... , video=false) (Extension.cs).
+ moved GuiPosition class to Configuration.cs (Configuration.cs, Job.cs).

2007-03-10 (Alwa)
+ made the Ensure MP3 VBR Sync checkbox work (MainForm.cs).
+ target filename will change now after loading an new source file (MainForm.cs).
+ aften encoder GUI bitrate trackbar improvement (AftenEncoder.cs).

2007-03-09 (Chumbo)
+ default window size is 800x400 now (MainForm.cs,Configuration.cs, Job.cs).
+ once you close it it'll save the size and position state

2007-03-07 (Chumbo)
+ added Delete All to quickly remove all the jobs except the one that is processing (MainForm.cs).
+ added check box to allow you to keep any output created if you decide to abort early or if an error occurs (MainForm.cs).

2007-03-05 (Tebasuna)
+ Aften CBR bitrate rounded to a valid value when is send to Aften (AftenEncoder.cs).
+ Aften Dinamic Range Compression instead BandWidth (AftenEncoder.cs).
+ Aften Read to End of File instead Selectively use 256-point MDCT (AftenEncoder.cs).

2007-03-03 (Chumbo)
+ Aften CBR max bitrate 640 (AftenEncoder.cs).
